[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TPersistent.FPONotifyObservers

Notify observers of changes.

## Declaration

Source position: classesh.inc line 442

`public procedure TPersistent.FPONotifyObservers(`
`ASender: TObject;`
`AOperation: TFPObservedOperation;`
`Data: Pointer`
`);`

## Description

FPONotifyObservers can be called to notify observers of changes in the object. This method simply passes on the parameters that it receives to all attached IFPObserver interfaces.

TPersistent does not call FPONotifyObservers. It is implemented for the benefit of descendant classes.

## See also

IFPObserved |  | Interface implemented by an object that can be observed.
IFPObserved.FPONotifyObservers |  | Notify all observers
IFPObserver |  | Interface for an object to observe other objects.

Documentation generated on: Feb 26 2014